;;; MesonCube --- Meson Build Support for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2023 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)


(defcube fg42/meson-cube
  "This cube enables support for meson build files.

For more info checkout [[https://github.com/wentasah/meson-mode]]"
  :title "Meson cube"
  :flag mesonbuild
  :flag-default t
  (fpkg/use meson-mode
    :config
    (progn
      (when-flag company
        (add-hook 'meson-mode-hook 'company-mode)))))

(provide 'cubes/meson)
;;; meson.el ends here
