;;; WMCube --- The elisp cube for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2023 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/flags)
(require 'fg42/cube)
(require 'fg42/utils)

(autoload-cube 'fg42/initialize-wm "wm/core.el" "Initalize the WM mode.")

(defflag wm
  "The flag to enable WM mode in FG42.")


(defcube fg42/wm-cube
  "This cube will setup *FG42* to act as a window manager."
  :title "Window manager cube"
  :no-flag t

  (if-flag wm
    (when-wm
     (message "[WM] Initilizing...")
     (fpkg/use exwm)
     (fg42/initialize-wm))
    (error "[SKIP] WM flag is not active")))


(provide 'cubes/wm)
;;; wm.el ends here
